"use strict";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.KnownDocumentIntelligenceAudience = void 0;
/**
 * Defines the known cloud audiences for Document Intelligence.
 *
 * To authenticate with Entra Id (using a `TokenCredential`) in a [Sovereign Cloud](https://learn.microsoft.com/en-us/entra/identity-platform/authentication-national-cloud)
 * environment, provide the appropriate value below as the `audience` option when creating a
 * `Document Intelligence` client.
 *
 * The default value is suitable for Document Intelligence resources created in the Azure Public Cloud, so this value
 * is only required to use Document Intelligence in a different cloud environment.
 */
var KnownDocumentIntelligenceAudience;
(function (KnownDocumentIntelligenceAudience) {
    /** Azure China */
    KnownDocumentIntelligenceAudience["AzureChina"] = "https://cognitiveservices.azure.cn";
    /** Azure Government */
    KnownDocumentIntelligenceAudience["AzureGovernment"] = "https://cognitiveservices.azure.us";
    /** Azure Public Cloud */
    KnownDocumentIntelligenceAudience["AzurePublicCloud"] = "https://cognitiveservices.azure.com";
})(KnownDocumentIntelligenceAudience || (exports.KnownDocumentIntelligenceAudience = KnownDocumentIntelligenceAudience = {}));
//# sourceMappingURL=audience.js.map