import type { ClientOptions } from "@azure-rest/core-client";
import type { TokenCredential, KeyCredential } from "@azure/core-auth";
import type { DocumentIntelligenceClient } from "./clientDefinitions.js";
/** The optional parameters for the client */
export interface DocumentIntelligenceClientOptions extends ClientOptions {
    /** The api version option of the client */
    apiVersion?: string;
}
/**
 * Initialize a new instance of `DocumentIntelligenceClient`
 * @param endpointParam - The Document Intelligence service endpoint.
 * @param credentials - uniquely identify client credential
 * @param options - the parameter for all optional parameters
 */
export default function createClient(endpointParam: string, credentials: TokenCredential | KeyCredential, { apiVersion, ...options }?: DocumentIntelligenceClientOptions): DocumentIntelligenceClient;
//# sourceMappingURL=documentIntelligence.d.ts.map